/*

  1.3" OLED Display 128X64 I2C SH1106 (4 Pins)

  Parts required:
  - Arduino Board
  - 1.3" OLED Module 128X64 I2C SH1106 (4 Pins)

  Libraries required:
  - U8glib

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 14 Aug 2019
  Version : v1.0

  IMPORTNAT: Connection can be different (GND / VCC) please be sure for the right connection
  
  Modulet kan købes på www.arduinotech.dk

*/

#include "U8glib.h"  

// Create object from U8GLIB Library to lcd(pin setup)
U8GLIB_SH1106_128X64 lcd(U8G_I2C_OPT_NONE);

void screenDrawing(void) {
  lcd.setFont(u8g_font_unifont);      // set font type
  lcd.drawStr( 37  , 12, "ARDUINO");  // draw text to display in position x , y
  lcd.drawStr( 37 , 25, "TECH.DK");   // draw text to display in position x , y

  for (int j = 7; j <= 9; j++) {      // for j = 7 to 9 DO
    lcd.drawCircle(56, 45, j);        // draw circle to position x , y , size
    lcd.drawCircle(74, 45, j);        // draw circle to position x , y , size
  }
  lcd.drawLine(42, 45, 87, 45);       // draw line to position xStart, xEnd, yStart, xEnd
  lcd.drawLine(65, 32, 65, 58);       // draw line to position xStart, xEnd, yStart, xEnd
}

void setup(void) {
  // upload to screen
  lcd.firstPage();
  do {
    screenDrawing();
  } while ( lcd.nextPage() );
}

void loop(void) {
    // Nothing here.......
}
